image: debian/bookworm
packages:
  - wget
  - tar
  - zstd
  - gpg
  - clang
  - lld
  - xz-utils
  - wine
  - cmake
  - ncurses-bin
  - qtbase5-dev
  - qttools5-dev
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - build-win64: |
      export WINEARCH=win64
      git clone https://github.com/holyblackcat/quasi-msys2 quasi-msys2-win64
      cd quasi-msys2-win64
      echo MINGW64 >msystem.txt
      make install _gcc _qt5-base _qt5-tools _curl _autotools
      cd ../minori
      sudo bash -c 'echo -n 1 >/proc/sys/fs/binfmt_misc/status'
      bash -c 'source ../../quasi-msys2-win64/env/all.src && autoreconf -i && cd dep/animia && autoreconf -i && cd ../anitomy && autoreconf -i && cd ../pugixml && autoreconf -i && ../.. && mkdir build64 && cd build64 && ../configure && make'
  - get-wine32: |
      sudo dpkg --add-architecture i386
      sudo apt-get update
      sudo apt-get -y install wine32:i386
  - build-win32: |
      export WINEARCH=win32
      export WINEPREFIX="$HOME/.wine32"
      git clone https://github.com/holyblackcat/quasi-msys2 quasi-msys2-win32
      cd quasi-msys2-win32
      echo MINGW32 >msystem.txt
      make install _gcc _qt5-base _qt5-tools _curl
      cd ../minori
      mkdir build32
      cd build32
      sudo bash -c 'echo -n 1 >/proc/sys/fs/binfmt_misc/status'
      bash -c 'source ../../quasi-msys2-win32/env/all.src && autoreconf -i && cd dep/animia && autoreconf -i && cd ../anitomy && autoreconf -i && cd ../pugixml && autoreconf -i && ../.. && mkdir build32 && cd build32 && ../configure && make'
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
